from django.contrib.auth.models import User
from django.db.models import *

# Create your models here.

TUX = (
		('1', 1),
		('2', 2),
		('3', 3),
		('4', 4),
		('5', 5), )



class Voteinfo(Model):
	user = OneToOneField(User)
	count = PositiveIntegerField()
	average = FloatField()

	def __unicode__(self):
		return '%s: %4.2f' % (self.user, self.average)



class Vote(Model):
	voter = ForeignKey(User, related_name='voted_for_set')
	votefor = ForeignKey(User, related_name='voted_by_set')
	tux = PositiveSmallIntegerField(choices=TUX)

	def __unicode__(self):
		return '%s -> %s (%d)' % (self.voter, self.votefor, self.tux)

